using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapListResponse : ImapResponse {
    public ImapMailbox[] Mailboxes {
      get { return mailboxes; }
    }

    internal ImapListResponse(ImapTransactionStatus status, ImapMailbox[] mailboxes, string description)
      : base(status, description)
    {
      this.mailboxes = mailboxes;
    }

    private readonly ImapMailbox[] mailboxes;
  }
}
