using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapNamespaceResponse : ImapResponse {
    public ImapNamespace Namespace {
      get { return @namespace; }
    }

    internal ImapNamespaceResponse(ImapTransactionStatus status, ImapNamespace @namespace, string description)
      : base(status, description)
    {
      this.@namespace = @namespace;
    }

    private readonly ImapNamespace @namespace;
  }
}
